unit Unit6;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, sSkinProvider, DBCtrls, ExtCtrls, StdCtrls, Grids, DBGrids, DB,
  ADODB, sDBMemo, sEdit, sLabel, sPanel, sButton;

type
  TForm6 = class(TForm)
    sSkinProvider1: TsSkinProvider;
    DataSource1: TDataSource;
    ADOConnection1: TADOConnection;
    tblGlosariy: TADOTable;
    DBGrid1: TDBGrid;
    sDBMemo1: TsDBMemo;
    sPanel1: TsPanel;
    DBNavigator1: TDBNavigator;
    sLabel1: TsLabel;
    sEdit1: TsEdit;
    sButton1: TsButton;
    procedure FormCreate(Sender: TObject);
    procedure Edit1KeyPress(Sender: TObject; var Key: Char);
    procedure Edit1Click(Sender: TObject);
    procedure sButton1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form6: TForm6;

implementation

{$R *.dfm}

procedure TForm6.FormCreate(Sender: TObject);
begin
tblglosariy.open;
sedit1.text:='';
end;

procedure TForm6.Edit1KeyPress(Sender: TObject; var Key: Char);
begin
tblGlosariy.Locate('ponatie',sedit1.text,[loCaseInsensitive,loPartialKey]);
end;

procedure TForm6.Edit1Click(Sender: TObject);
begin
sedit1.Text:='';
end;

procedure TForm6.sButton1Click(Sender: TObject);
begin
close;
end;

end.
